Autor Thema: Update von Shopware auf Version 5.2.9  (Gelesen 2187 mal)

Offline Tyralcori

  • Newbie
  • *
  • Beiträge: 2
    • Profil anzeigen
Update von Shopware auf Version 5.2.9
« am: 01.11.2016 20:03 »
Hallo liebes Profihost Team, und hallo liebes Forum,

ich hab heute versucht, mein Shopware System von der Version 4 auf Version 5.2.9 zu aktualisieren. Das hat von 4 auf 5.1.6 auch wundervoll geklappt - ab dann war die Version 5.6.4 nötig.
Soweit erstmal so gut. Ich habe, wie in euren echt guten Tutorials, die HTAccess, als auch die php5.6.ini angepasst / erstellt. Meine PHPINFO sagt, dass die Version selbst auf PHP 5.6.2 basiert, was theoretisch erstmal zu niedrig wäre. Unabhängig davon brauche ich den IonCube Loader. Auch den habe ich eigentlich fachgerecht, wie in eurem Tutorial eingebunden.

upload_max_filesize = 20M
display_errors = Off
magic_quotes_gpc = Off
memory_limit = 400M

php5.6.ini:
[code]
[Zend]
zend_extension=/usr/local/php_extensions/php5.6/ioncube.so
zend_extension=/usr/local/php_extensions/php5.6/opcache.so

opcache.memory_consumption=128
opcache.max_accelerated_files=10000
opcache.max_wasted_percentage=10

.htaccess (letzte 2 Zeilen):
#AddHandler php-fastcgi5.4 .php .php5 .phtml
AddHandler php-fastcgi5.6 .php .phtml

Haben sich vielleicht die Pfade zum ioncube selbst verändert? Würde mich über Hilfe riesig freuen!

Beste Grüße und angenehmen Abend allerseits.

Offline A.Büggeln - Profihost

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 503
    • Profil anzeigen
Re: Update von Shopware auf Version 5.2.9
« Antwort #1 am: 02.11.2016 08:24 »
Hallo Tyralcori,

die PHP Version 5.6.26 sollte auf jeden Fall passen. Ggf. wollen Sie direkt auch PHP 7 ausprobieren?

Im php5.6.ini Code fiel mir ein Fehler auf:

""

Dieser Schnippsel sollte nicht in der .ini Datei zu finden sein.

Ich vermute, dies erzeugt auch Fehler im error.log auf Ihrem Speicherplatz.

Die Pfade sind soweit korrekt, im Fall des Falles können Sie sich einfach via E-Mail, Telefon oder Chat an uns wenden, dann können wir auf kurzem Wege direkt auf Ihrem Speicherplatz prüfen.
Mit freundlichen Grüßen
Andreas Büggeln
Profihost Team

Impressum

Offline Tyralcori

  • Newbie
  • *
  • Beiträge: 2
    • Profil anzeigen
Re: Update von Shopware auf Version 5.2.9
« Antwort #2 am: 02.11.2016 09:44 »
Hallo Herr Büggeln,

vielen Dank für Ihre Antwort! Das "code" war ein Copy-Paste Fehler meinerseits, entschuldigen Sie bitte. Die php.ini auf dem Server beinhaltet diesen "code" Tag nicht.

Mir geht es dennoch darum, dass leider der ionCube nicht geladen werden kann..

Hier nochmal die korrrekte php.ini ohne irgendwelche Zusätze:


upload_max_filesize = 20M
display_errors = Off
magic_quotes_gpc = Off
memory_limit = 400M

[Zend]
zend_extension=/usr/local/php_extensions/php5.6/ioncube.so
zend_extension=/usr/local/php_extensions/php5.6/opcache.so

opcache.memory_consumption=128
opcache.max_accelerated_files=10000
opcache.max_wasted_percentage=10


Dennoch wird in meinen geladenen Modulen der ionCube als Modul nicht angezeigt, weswegen Shopware natürlich einen Fehler wirft..

Liebe Grüße!
« Letzte Änderung: 02.11.2016 09:52 von Tyralcori »